<template>
  <Container class="h-full">
    <SectionHeader icon="mdi-cash">
      Тариф
    </SectionHeader>

    <v-list-item class="[&_.v-list-item-title]:whitespace-normal bg-gray-100 py-4 mt-4 !rounded-[12px]">
      <template #prepend>
        <section class="flex items-center justify-center w-10 h-10 mr-4 rounded-lg text-white bg-gradient-to-l from-teal-400 to-cyan-500">
          <v-icon
            icon="mdi-cash"
            size="large"
          />
        </section>
      </template>

      <template #title>
        <span class="text-lg">
          {{ booking.rate.name }}
        </span>
      </template>

      <template #subtitle>
        <section class="mt-2">
          <ProfitDisplay
            mode="chip"
            :value="booking.appliedRateProfit"
          />
        </section>
      </template>
    </v-list-item>
  </Container>
</template>

<script setup lang="ts">
import Container from '@/components/layout/Container.vue';
import ProfitDisplay from '@/components/content/ProfitDisplay.vue';
import SectionHeader from '@/components/layout/SectionHeader.vue';

defineProps<{ booking: IVerboseBooking }>();
</script>